<?php
$operatorMeta = array(
    'operators' => array(
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'OnValidationOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Contacts',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'phone_work',
                                        'section' => 'fields',
                ),
                'fields1' => array(
                    'id' => 'fields1',
                                        'value' => 'phone_mobile',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'CheckIfStringMatchesPatternOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'pattern' => array(
                    'id' => 'pattern',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-7' => array(
            'id' => 'op-7',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'IsEmptyOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'AddValidationViolationOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
                'targetField' => array(
                    'id' => 'targetField',
                                        'value' => 'phone_work',
                                    ),
                'errorText' => array(
                    'id' => 'errorText',
                                        'value' => 'Please start phone numbers with a + followed by numbers only. E.g. +161012223333',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'AddValidationViolationOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Contacts',
                                    ),
                'targetField' => array(
                    'id' => 'targetField',
                                        'value' => 'phone_mobile',
                                    ),
                'errorText' => array(
                    'id' => 'errorText',
                                        'value' => 'Please start phone numbers with a + followed by numbers only. E.g. +161012223333',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-23' => array(
            'id' => 'op-23',
            'type' => 'IsEmptyOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-29' => array(
            'id' => 'op-29',
            'type' => 'CheckIfStringMatchesPatternOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'string' => array(
                    'id' => 'string',
                                        'value' => '',
                                    ),
                'pattern' => array(
                    'id' => 'pattern',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-30' => array(
            'id' => 'op-30',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-31' => array(
            'id' => 'op-31',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-32' => array(
            'id' => 'op-32',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-47' => array(
            'id' => 'op-47',
            'type' => 'RegexpTemplateMatchPatternOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'template' => array(
                    'id' => 'template',
                                        'value' => '/^[+]?\\d*$/',
                                    ),
            ),
            'outDataPorts' => array(
                'pattern' => array(
                    'id' => 'pattern',
                                        'value' => '',
                                    ),
            ),
        ),
    ),
    'links' => array(
        'link-2' => array(
            'from' => 'op-3entity',
            'fromOperator' => 'op-3',
            'fromConnector' => 'entity',
            'to' => 'op-4entity',
            'toOperator' => 'op-4',
            'toConnector' => 'entity'
        ),
        'link-7' => array(
            'from' => 'op-4fields0',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields0',
            'to' => 'op-9value',
            'toOperator' => 'op-9',
            'toConnector' => 'value'
        ),
        'link-12' => array(
            'from' => 'op-3entity',
            'fromOperator' => 'op-3',
            'fromConnector' => 'entity',
            'to' => 'op-11entity',
            'toOperator' => 'op-11',
            'toConnector' => 'entity'
        ),
        'link-13' => array(
            'from' => 'op-4fields0',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields0',
            'to' => 'op-5string',
            'toOperator' => 'op-5',
            'toConnector' => 'string'
        ),
        'link-14' => array(
            'from' => 'op-3entity',
            'fromOperator' => 'op-3',
            'fromConnector' => 'entity',
            'to' => 'op-15entity',
            'toOperator' => 'op-15',
            'toConnector' => 'entity'
        ),
        'link-20' => array(
            'from' => 'op-7controlFlowIfFalse',
            'fromOperator' => 'op-7',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-11controlFlow',
            'toOperator' => 'op-11',
            'toConnector' => 'controlFlow'
        ),
        'link-37' => array(
            'from' => 'op-4fields1',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields1',
            'to' => 'op-23value',
            'toOperator' => 'op-23',
            'toConnector' => 'value'
        ),
        'link-44' => array(
            'from' => 'op-3controlFlow',
            'fromOperator' => 'op-3',
            'fromConnector' => 'controlFlow',
            'to' => 'op-31controlFlow',
            'toOperator' => 'op-31',
            'toConnector' => 'controlFlow'
        ),
        'link-45' => array(
            'from' => 'op-9result',
            'fromOperator' => 'op-9',
            'fromConnector' => 'result',
            'to' => 'op-31condition',
            'toOperator' => 'op-31',
            'toConnector' => 'condition'
        ),
        'link-46' => array(
            'from' => 'op-31controlFlowIfTrue',
            'fromOperator' => 'op-31',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-32controlFlow',
            'toOperator' => 'op-32',
            'toConnector' => 'controlFlow'
        ),
        'link-47' => array(
            'from' => 'op-23result',
            'fromOperator' => 'op-23',
            'fromConnector' => 'result',
            'to' => 'op-32condition',
            'toOperator' => 'op-32',
            'toConnector' => 'condition'
        ),
        'link-48' => array(
            'from' => 'op-32controlFlowIfFalse',
            'fromOperator' => 'op-32',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-30controlFlow',
            'toOperator' => 'op-30',
            'toConnector' => 'controlFlow'
        ),
        'link-49' => array(
            'from' => 'op-29result',
            'fromOperator' => 'op-29',
            'fromConnector' => 'result',
            'to' => 'op-30condition',
            'toOperator' => 'op-30',
            'toConnector' => 'condition'
        ),
        'link-50' => array(
            'from' => 'op-4fields1',
            'fromOperator' => 'op-4',
            'fromConnector' => 'fields1',
            'to' => 'op-29string',
            'toOperator' => 'op-29',
            'toConnector' => 'string'
        ),
        'link-52' => array(
            'from' => 'op-30controlFlowIfFalse',
            'fromOperator' => 'op-30',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-15controlFlow',
            'toOperator' => 'op-15',
            'toConnector' => 'controlFlow'
        ),
        'link-53' => array(
            'from' => 'op-31controlFlowIfFalse',
            'fromOperator' => 'op-31',
            'fromConnector' => 'controlFlowIfFalse',
            'to' => 'op-7controlFlow',
            'toOperator' => 'op-7',
            'toConnector' => 'controlFlow'
        ),
        'link-54' => array(
            'from' => 'op-5result',
            'fromOperator' => 'op-5',
            'fromConnector' => 'result',
            'to' => 'op-7condition',
            'toOperator' => 'op-7',
            'toConnector' => 'condition'
        ),
        'link-55' => array(
            'from' => 'op-7controlFlowIfTrue',
            'fromOperator' => 'op-7',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-32controlFlow',
            'toOperator' => 'op-32',
            'toConnector' => 'controlFlow'
        ),
        'link-91' => array(
            'from' => 'op-47pattern',
            'fromOperator' => 'op-47',
            'fromConnector' => 'pattern',
            'to' => 'op-5pattern',
            'toOperator' => 'op-5',
            'toConnector' => 'pattern'
        ),
        'link-92' => array(
            'from' => 'op-47pattern',
            'fromOperator' => 'op-47',
            'fromConnector' => 'pattern',
            'to' => 'op-29pattern',
            'toOperator' => 'op-29',
            'toConnector' => 'pattern'
        ),
        'link-93' => array(
            'from' => 'op-11controlFlow',
            'fromOperator' => 'op-11',
            'fromConnector' => 'controlFlow',
            'to' => 'op-32controlFlow',
            'toOperator' => 'op-32',
            'toConnector' => 'controlFlow'
        ),
    )
);
