<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/validation/lb60b614ad12af40_26596112/operators/FlowchartOperator_lb60b614ad12af40_26596112.php';

class AddValidationViolationOperator_lb60b614ad12af40_26596112 extends FlowchartOperator_lb60b614ad12af40_26596112{

    protected $entity;
    protected $targetField;
    protected $errorText;

    public function __construct($params){
        parent::__construct($params);
    }

    public function process($params = array()){
        OnValidationOperator_lb60b614ad12af40_26596112::$params[] = array(
            'targetField' => $this->targetField,
            'errorText' => $this->errorText,
            'operatorId' => $this->id
        );
    }

    public function setInDataPorts($params){
        parent::setInDataPorts($params);
        if(!empty($params['inDataPorts']['entity']['value'])){
            $this->entity = $params['inDataPorts']['entity']['value'];
        }
        if(!empty($params['inDataPorts']['targetField']['value'])){
            $this->targetField = $params['inDataPorts']['targetField']['value'];
        }
        if(!empty($params['inDataPorts']['errorText']['value'])){
            $this->errorText = $params['inDataPorts']['errorText']['value'];
        }
    }

    public function setInDataPortById($id, $value){
        if($id == 'errorText'){
            $this->errorText = $value;
        }else{
            parent::setInDataPortById($id, $value);
        }
    }

}
