<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/validation/lb60b614ad12af40_26596112/operators/FlowchartOperator_lb60b614ad12af40_26596112.php';
require_once 'custom/PxRoutines/LogicBuilderPackages/validation/lb60b614ad12af40_26596112/helpers/TypeOperations_lb60b614ad12af40_26596112.php';

class CheckIfStringMatchesPatternOperator_lb60b614ad12af40_26596112 extends FlowchartOperator_lb60b614ad12af40_26596112{

    protected $subject;
    protected $pattern;

    protected $matches;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPortById($id, $value){
        if($id == 'string')
            $this->subject = $value;
        else if ($id == 'pattern')
            $this->pattern = $value;
    }

    public function process($params = array()){
        if(TypeOperations_lb60b614ad12af40_26596112::isString($this->pattern) && TypeOperations_lb60b614ad12af40_26596112::isString($this->subject))
            $this->matches = preg_match($this->pattern, $this->subject);
    }

    public function getOutDataByPortId($portId){
        return !empty($this->matches);
    }

}
